nlohmann::detail::output_string_adapter< CharType, StringType > Class Template Reference

output adapter for basic_string More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::output_string_adapter< CharType, StringType >:
[legend]
Collaboration diagram for nlohmann::detail::output_string_adapter< CharType, StringType >:
[legend]

## Public Member Functions

| output_string_adapter (StringType &s) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
| output_string_adapter (StringType &s) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
Public Member Functions inherited from nlohmann::detail::output_adapter_protocol< CharType >
virtual | ~output_adapter_protocol ()=default
virtual | ~output_adapter_protocol ()=default

## Detailed Description

### template<typename CharType, typename StringType = std::basic_string<CharType>>
class nlohmann::detail::output_string_adapter< CharType, StringType >

output adapter for basic_string

## Constructor & Destructor Documentation

## output_string_adapter() [1/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_string_adapter< CharType, StringType >::output_string_adapter | ( | StringType & | s | ) |

inlineexplicitnoexcept

## output_string_adapter() [2/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_string_adapter< CharType, StringType >::output_string_adapter | ( | StringType & | s | ) |

inlineexplicitnoexcept

## Member Function Documentation

## write_character() [1/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

void nlohmann::detail::output_string_adapter< CharType, StringType >::write_character | ( | CharType | c | ) |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

## write_character() [2/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

void nlohmann::detail::output_string_adapter< CharType, StringType >::write_character | ( | CharType | c | ) |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

## write_characters() [1/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

void nlohmann::detail::output_string_adapter< CharType, StringType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

## write_characters() [2/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

void nlohmann::detail::output_string_adapter< CharType, StringType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp